### Method

# Snapd Snap match_channel

since: 1.22

#### Declaration [src]

    SnapdChannel*
    snapd_snap_match_channel (
      SnapdSnap* snap,
      const gchar* name
    )

#### Description [src]

Finds the available channel that best matches the given name. If none matches `NULL` is returned.

Available since: 1.22

#### Parameters

`name`

  Type: `const gchar*`

  A channel name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `SnapdChannel`

An `SnapdChannel` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.